# Batches Batches ## Gets all of the batches in the system. - [GET /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatches.md): This method will scan all batches and and return them to the caller. ## Creates a new batch record that does not already exist. - [POST /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/createbatch.md): This method will auto-generate an ID and create a new batch. If an ID is specified for the batch, an error will be thrown. ## Execute Batch Operations - [POST /batches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Recursively retrieve batches dependent on a set of batches - [GET /batches/{tenantId}/dependents](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/recursivelyretrievedependentbatches.md): Returns a list of child batches dependent on the batches specified ## Returns a list of records with the specified fiscal_year_id and fiscal_period - [GET /batches/{tenantId}/fiscal_period/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbyfiscalperiod.md): Returns a list of records with the specified fiscal_year_id and fiscal_period ## Searches for batches using predefined parameters - [POST /batches/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/searchforbatches.md): Searches for batches using predefined parameters ## Returns a list of records with the specified status - [GET /batches/{tenantId}/status/{status}/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbystatus.md): Returns a list of records with the specified status ## Returns a batch from the system by its ID. - [DELETE /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/deletebatch.md): This method will delete a batch with the specified ID. ## Returns a batch from the system by its ID. - [GET /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/getbatch.md): This method will look up a batch by the specified ID and return it back. ## Partially updates a batch with the specified ID. - [PATCH /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/patchbatch.md): This method will patch an existing batch with the specified ID, using the HTTP PATCH specification. ## Updates a batch with the specified ID. - [PUT /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/updatebatch.md): This method will update an existing batch with the specified ID.